@import "variables";

$row-height: 60px;

@keyframes rule-text-after-animation {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(16px);
  }
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;

  font-family: "Roboto", serif;

  h1 {
    font-size: 60px;
    margin: 16px 0 16px;
  }

  .row {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    height: $row-height;
    width: 544px;

    border-radius: 8px;
    text-decoration: none;
    color: black;

    overflow: hidden;
    cursor: pointer;

    .rule-number {
      display: flex;
      justify-content: center;
      align-items: center;
      min-width: $row-height;

      background-color: $blue;
      font-size: $font-big;

      transition: min-width .5s, background-color .5s;
    }

    .rule-text {
      position: relative;

      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;

      background-color: $light-blue;
      font-size: $font-medium;
      text-decoration: none;
      padding-left: 8px;
      white-space: nowrap;

      transition: background-color 0.5s;

      &::after {
        position: absolute;

        height: 16px;
        width: 16px;
        right: 24px;

        content: '';
        background-image: url(../assets/double-right-arrow.svg);

        background-size: 16px 16px;
        opacity: 0;

        transition: opacity .6s;
        animation: rule-text-after-animation .6s infinite alternate ease-in-out paused;
      }
    }

    &:not(:last-child) {
      margin-bottom: 16px;
    }

    &:hover {
      .rule-number {
        min-width: 40px;
        background-color: hsl(210, 100%, 66%);
      }

      .rule-text {
        background-color: hsl(198, 100%, 72%);

        &::after {
          opacity: 1;
          animation-play-state: running;
        }
      }
    }
  }
}
